<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.1) on Sat Oct 05 11:12:57 CEST 2019 -->
<title>SingleColumnCVSetProperties (dblp.datatools 2019.08.0.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-10-05">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SingleColumnCVSetProperties (dblp.datatools 2019.08.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">bous.philipp.dblp.datatools.featureconstruction.vectorization</a></div>
<h2 title="Class SingleColumnCVSetProperties" class="title">Class SingleColumnCVSetProperties</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>bous.philipp.dblp.datatools.featureconstruction.vectorization.SingleColumnCVSetProperties</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../../util/config/DbDependentExecutionConfig.html" title="interface in bous.philipp.dblp.datatools.util.config">DbDependentExecutionConfig</a></code>, <code><a href="../../util/config/ExecutionConfigProperties.html" title="interface in bous.philipp.dblp.datatools.util.config">ExecutionConfigProperties</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">SingleColumnCVSetProperties</span>
extends java.lang.Object
implements <a href="../../util/config/DbDependentExecutionConfig.html" title="interface in bous.philipp.dblp.datatools.util.config">DbDependentExecutionConfig</a></pre>
<div class="block">Execution-config for construction of files for cross-validation-sets.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">SingleColumnCVSetProperties</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDbPropertiesFilePath()">getDbPropertiesFilePath</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#readProperties(java.nio.file.Path,java.lang.String)">readProperties</a></span>&#8203;(java.nio.file.Path&nbsp;configPath,
              java.lang.String&nbsp;methodVersionId)</code></th>
<td class="colLast">
<div class="block">Reads parameters for creating a CV set for a single feature of record-documents from a properties file, with following
 allowed keys:
 
     METHOD_VERSION_ID - id of the this methods version (given as final string in the code)
     dbPropertiesFilePath - path properties-file with information about the jdbc database connection (only mysql supported atm)
     vocabularyLocation - path to the vocabulary-file to be used for conversion; only for single vocabulary-CV; can not be used alongside vocabularyPrefixPath
     vocabularyPrefixPath - initializes usage of a set of vocabularies for cv should be the path to the folder where the vocabulary-set resides including the common prefixes of all vocabularies
     recordTableName - name of the record-table to be used
     featureTableName - name of the corresponding feature table
     featureType - feature to be extracted, allowed values are specified through the enum of the same name
     numberOfItemsPerClass (mutex maxNumber) - mutually exclusive with "maxNumber", in the balanced vectorization case this configures the number of items drawn per class
     maxNumber (mutex numberOfItemsPerClass) - max number of items to draw for vectorization from the db; less than 0 means no upper boundary
     numberOfFolds - number of folds to be made for CV; attempts to make equally sized folds
     windowSize - size of window for ngram-production; if 1 or lower it will just use unigrams
     countWords - may be true or false; true produces BoW-vectors where the number of occurrences of a word is counted
     weightWithTfIdf - multiplies feature-vector-values with respective tf-idf-weights calculated separately for each fold
     applyLowerCasing - true or false; if true lower-casing is applied to the data from the database before vectorization
     removeBracketContent - true or false; if true brackets and content are removed before vectorization
     removeStopwords - true or false; enables or disables stop-word-removal (english only atm) before vectorization
     applyStemming - true or false; true applies stemming (english only atm) before vectorization
     printInfoFile - true or false; true writes an additional file about the vectorization specification
     writeAdditionalTar - true or false; if true all generated files are packed inside an additional tar.gz-file
     fileOutputPath - destination of the generated vectorization files
     byRID - will draw records from DB ordered by random_id column; IMPORTANT if this is specified to be "true" it is absolutely necessary that the same is done in the config for building the used vocabulary!</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SingleColumnCVSetProperties</h4>
<pre>public&nbsp;SingleColumnCVSetProperties()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="readProperties(java.nio.file.Path,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readProperties</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;readProperties&#8203;(java.nio.file.Path&nbsp;configPath,
                           java.lang.String&nbsp;methodVersionId)</pre>
<div class="block">Reads parameters for creating a CV set for a single feature of record-documents from a properties file, with following
 allowed keys:
 <ul>
     <li>METHOD_VERSION_ID - id of the this methods version (given as final string in the code)</li>
     <li>dbPropertiesFilePath - path properties-file with information about the jdbc database connection (only mysql supported atm)</li>
     <li>vocabularyLocation - path to the vocabulary-file to be used for conversion; only for single vocabulary-CV; can not be used alongside vocabularyPrefixPath</li>
     <li>vocabularyPrefixPath - initializes usage of a set of vocabularies for cv should be the path to the folder where the vocabulary-set resides including the common prefixes of all vocabularies</li>
     <li>recordTableName - name of the record-table to be used</li>
     <li>featureTableName - name of the corresponding feature table</li>
     <li>featureType - feature to be extracted, allowed values are specified through the enum of the same name</li>
     <li>numberOfItemsPerClass (mutex maxNumber) - mutually exclusive with "maxNumber", in the balanced vectorization case this configures the number of items drawn per class</li>
     <li>maxNumber (mutex numberOfItemsPerClass) - max number of items to draw for vectorization from the db; less than 0 means no upper boundary</li>
     <li>numberOfFolds - number of folds to be made for CV; attempts to make equally sized folds</li>
     <li>windowSize - size of window for ngram-production; if 1 or lower it will just use unigrams</li>
     <li>countWords - may be true or false; true produces BoW-vectors where the number of occurrences of a word is counted</li>
     <li>weightWithTfIdf - multiplies feature-vector-values with respective tf-idf-weights calculated separately for each fold</li>
     <li>applyLowerCasing - true or false; if true lower-casing is applied to the data from the database before vectorization</li>
     <li>removeBracketContent - true or false; if true brackets and content are removed before vectorization</li>
     <li>removeStopwords - true or false; enables or disables stop-word-removal (english only atm) before vectorization</li>
     <li>applyStemming - true or false; true applies stemming (english only atm) before vectorization</li>
     <li>printInfoFile - true or false; true writes an additional file about the vectorization specification</li>
     <li>writeAdditionalTar - true or false; if true all generated files are packed inside an additional tar.gz-file</li>
     <li>fileOutputPath - destination of the generated vectorization files</li>
     <li>byRID - will draw records from DB ordered by random_id column; IMPORTANT if this is specified to be "true" it is absolutely necessary that the same is done in the config for building the used vocabulary!</li>
 </ul></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../util/config/ExecutionConfigProperties.html#readProperties(java.nio.file.Path,java.lang.String)">readProperties</a></code>&nbsp;in interface&nbsp;<code><a href="../../util/config/ExecutionConfigProperties.html" title="interface in bous.philipp.dblp.datatools.util.config">ExecutionConfigProperties</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>configPath</code> - path of the properties file</dd>
<dd><code>methodVersionId</code> - should be methodVersionId of the calling method (security measure to prevent processing of input with old method versions)</dd>
</dl>
</li>
</ul>
<a id="getDbPropertiesFilePath()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getDbPropertiesFilePath</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getDbPropertiesFilePath()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../util/config/DbDependentExecutionConfig.html#getDbPropertiesFilePath()">getDbPropertiesFilePath</a></code>&nbsp;in interface&nbsp;<code><a href="../../util/config/DbDependentExecutionConfig.html" title="interface in bous.philipp.dblp.datatools.util.config">DbDependentExecutionConfig</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
